﻿using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using System;
using uBIM.Checker.AOP;
using Autodesk.Revit.Attributes;
using System.Windows;

namespace TestDemo1
{
    [Checker("AOP TestDemo")]
    [Transaction(TransactionMode.Manual)]
    public class TestCommand : IExternalCommand
    {
        public Result Execute(ExternalCommandData commandData, ref string message, ElementSet elements)
        {
            MessageBox.Show("Executed");
            return Result.Succeeded;
        }
    }
}